import type { IMenuItem } from '@/types'
import { VideoCamera, Suitcase, Collection, Files, Monitor, Edit, User, Filter, Coordinate, Notebook, Picture } from '@element-plus/icons-vue'
export const menus: IMenuItem[] = [
  {
    tag: 'v1-resource',
    name: '资源管理',
    path: '/resource',
    children: [
      {
        tag: 'v1-resource-video-list',
        icon: VideoCamera,
        name: '视频',
        path: '/resource/video'
      },
      {
        tag: 'v1-resource-courseware-list',
        icon: Suitcase,
        name: '课件',
        path: '/resource/courseware'
      },
      {
        tag: 'v1-resource-lesson-plan-list',
        icon: Collection,
        name: '教案',
        path: '/resource/lessonplan'
      },
      {
        tag: 'v1-resource-other-information-list',
        icon: Files,
        name: '其他资料',
        path: '/resource/other'
      }
      // {
      //   name: '题库',
      //   path: '/resource/question'
      // },
      // {
      //   name: '试卷',
      //   path: '/resource/exam'
      // }
    ]
  },
  {
    tag: 'v1-course',
    name: '课程管理',
    path: '/course',
    children: [
      {
        tag: 'v1-course-list',
        icon: Monitor,
        name: '我的课程',
        path: '/course/my'
      },
      {
        tag: 'v1-course-create',
        icon: Edit,
        name: '新建课程',
        path: '/course/create'
      }
    ]
  },
  {
    tag: 'v1-backend',
    name: '后台管理',
    path: '/admin',
    children: [
      {
        tag: 'v1-backend-lecturer-list',
        icon: User,
        name: '讲师管理',
        path: '/admin/teacher'
      },
      {
        tag: 'v1-backend-category-list',
        icon: Filter,
        name: '类别管理',
        path: '/admin/category'
      },
      {
        icon: Coordinate,
        name: '资源审核管理',
        path: '/admin/audit'
      }
    ]
  },
  {
    tag: 'v1-backend',
    name: '系统管理',
    path: '/system',
    children: [
      {
        tag: 'v1-backend-data-dictionary-list',
        icon: Notebook,
        name: '数据字典',
        path: '/system/dictionary'
      },
      {
        tag: 'v1-backend-cover-list',
        icon: Picture,
        name: '封面管理',
        path: '/system/cover'
      }
    ]
  }
]
